
Redmine - Defect #20912

First email notification isn't send to user

2015-10-06 12:37 - eric c

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Hi,

We have a strange issue with Redmine. Hope you guys can help us or give a little hint where to look for the solution. The problem

that we encounter is that the first reaction assigned to a user in an issue isn't send by email to the person. When you create a second

reaction it will be send.

This is what we do:

User A sends an email to Redmine (or adds one using the GUI) that will be assigned to another user in the system

As expected the new message is visible at the project

User B opens the issue and adds a reaction and at the same time he assigns the issue back to user A

User B stores the update ;)

You would expect that user A receives a notification by email since the account setting is configured with the option "mail

notification for all issues assigned to me". User A does not receive the reaction by email.

Now... User B adds a new reaction. The message is still assigned to user A. No the strange thing happens, user A received a

email notification!

The SMTP server is allowed to send all emails from the Redmine machine without any restrictions. Looking at the mail server log.

The first message is never delivered at the server, the second is.

We've also tested the same procedure with external email accounts and SMTP servers. Same problem :(

At the moment we are running version 3.1.1. We've migrated from a 2.x version, in both situations we had the same problem. We've

also tested this with other accounts in Redmine, some account have the same issue. Others work like a sunshine...

Do you have a clue where we need to look so we can solve this strange thing? Strange it is since the behaviour (as said) isn't

happening with all accounts although the notification settings are the same.

Thanks for your reaction!

Related issues:

Is duplicate of Redmine - Defect #8157: Redmine do not send notification emai... Closed

History

#1 - 2015-10-06 13:50 - eric c

- Status changed from New to Resolved

The situation is a bit more complex:

User A creates an issue and assigns the issue to User B (see it as a 'catch-all' user)

User C logs in and adds a comment and assigns the issue back to User A

Result is no email

New comment will be added for User A

Result is a nice email

Now we did some more testing...

User B had a fake email address, once we've created the emailaddress the first comment (and the second) is send... Looks like there is some

POP-box validation... But we don't understand why the second mail is always send...
#2 - 2015-10-06 14:39 - Wim DePreter

duplicates #8157 ?

#3 - 2015-10-07 12:38 - eric c

It sure look like it. Missed that issue during my search :(

#4 - 2015-11-03 06:25 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Duplicate

Thank you for your feedback.

#5 - 2015-11-03 06:25 - Toshi MARUYAMA

- Is duplicate of Defect #8157: Redmine do not send notification emails if a recipients email address is not valid added
